# FdoIFeatureReader Class Reference

`#include <IFeatureReader.h>`

Inheritance diagram for FdoIFeatureReader:

[legend]

List of all members.

## Detailed Description

The FdoIFeatureReader interface provides a forward-only, read-only iterator for reading feature data. A reference to an FdoIFeatureReader is returned from the Select and SelectAndLock commands. Because the initial position of the FdoIFeatureReader is prior to the first item, you must call ReadNext to begin accessing any data.

Definition at line 38 of file IFeatureReader.h.

## Public Member Functions
virtual FDO_API FdoClassDefinition * | GetClassDefinition ()=0
| Gets the definition of the object currently being read. If the user has requested only a subset of the class properties, the class definition reflects what the user has asked, rather than the full class definition.
virtual FDO_API FdoInt32 | GetDepth ()=0
| Gets a value indicating the depth of nesting for the current reader. The depth value increases each time GetFeatureObject is called and a new reader is returned. The outermost reader has a depth of 0.
virtual FDO_API FdoIFeatureReader * | GetFeatureObject (FdoString *propertyName)=0
| Gets a reference to an FdoIFeatureReader to read the data contained in the object or object collection property. If the property is not an object property, an exception is thrown.
virtual FDO_API FdoByteArray * | GetGeometry (FdoString *propertyName)=0
| Gets the geometry value of the specified property as a byte array in FGF format. Because no conversion is performed, the property must be of Geometric type; otherwise, an exception is thrown.
virtual FDO_API const FdoByte * | GetGeometry (FdoString *propertyName, FdoInt32 *count)=0
| Gets the geometry value of the specified property as a byte array in FGF format. Because no conversion is performed, the property must be of Geometric type; otherwise, an exception is thrown. This method is a language-specific performance optimization that returns a pointer to the array data, rather than to an object that encapsulates the array. The array's memory area is only guaranteed to be valid until a call to ReadNext() or Close(), or the disposal of this reader object.

The documentation for this class was generated from the following file:

- IFeatureReader.h